Bug 110852 - bug in /usr/share/zsh/4.0.7/functions/_files breaks completion
bug in /usr/share/zsh/4.0.7/functions/_files breaks completion
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: zsh (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-24 16:14 EST by Keith T. Garner
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-13 01:25:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch file that's included in description (352 bytes, patch)
2003-11-24 16:18 EST, Keith T. Garner
no flags Details | Diff

  None (edit)
Description Keith T. Garner 2003-11-24 16:14:09 EST
Description of problem:
A small bug in _files as shipped from the zsh folks breaks
auto-complete in a few places.

Version-Release number of selected component (if applicable):
zsh-4.0.7-1.1

--- _files.orig 2003-11-24 15:10:28.000000000 -0600
+++ _files      2003-11-24 15:10:11.000000000 -0600
@@ -28,7 +28,7 @@
   [[ "$type" = */* ]] && glob="$glob,*(-/)"
   pats=()

-  for i in ${tmp//%p/${${glob:-\*}//:/\\:}}; do
+  for i in ${tmp//\%p/${${glob:-\*}//:/\\:}}; do
     if [[ $i = *[^\\]:* ]]; then
       pats=( "$pats[@]" " $i " )
     else
Comment 1 Keith T. Garner 2003-11-24 16:18:24 EST
Created attachment 96157 [details]
Patch file that's included in description
Comment 2 Jens Petersen 2003-11-24 22:06:23 EST
Thanks.  [patch confirmed in upstream cvs.]

Should be in the zsh-4.0.7-2.

Note You need to log in before you can comment on or make changes to this bug.